## org.apache.http.auth
Enum AuthProtocolState

    java.lang.Object
      java.lang.Enum<AuthProtocolState>
          org.apache.http.auth.AuthProtocolState

All Implemented Interfaces:
  Serializable, Comparable<AuthProtocolState>

    public enum AuthProtocolState

extends Enum<AuthProtocolState>

Enum Constant Summary
`CHALLENGED`
`FAILURE`
`HANDSHAKE`
`SUCCESS`
`UNCHALLENGED`

Method Summary
`static AuthProtocolState` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AuthProtocolState[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNCHALLENGED

    public static final AuthProtocolState UNCHALLENGED

### CHALLENGED

    public static final AuthProtocolState CHALLENGED

### HANDSHAKE

    public static final AuthProtocolState HANDSHAKE

### FAILURE

    public static final AuthProtocolState FAILURE

### SUCCESS

    public static final AuthProtocolState SUCCESS

Method Detail

### values

    public static final AuthProtocolState[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(AuthProtocolState c : AuthProtocolState.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static AuthProtocolState valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.